//*******************************************************
//
//	KTR-10
//
//	タイマー及びスイッチ、ロータリーエンコーダ処理
//
//	2023.5.28	KAWAKAMI Yukio
//*******************************************************
#ifndef defined_TIMER_H
#define defined_TIMER_H

void init_timer(void);

int read_ENC(void);
int check_ENC(void);

typedef struct S_SWITCH {
  int               port;   // GPIOポート番号
  volatile uint16_t count;  // 押されている時間カウント
  volatile uint8_t  flag;   // 押されたかのフラグ
} SWITCH;

int check_SW(int sw);
int read_SW(int sw);

void sleep(void){
  asm volatile("sleep\n"::);
}

#endif  // defined_TIMER_H
